# SlackBuilder

## About

[SlackBuilder](SlackBuilder/README.md) is a program written in [Object Pascal](https://wiki.freepascal.org/Object_Pascal) that allows you to install the software packages provided by [SlackBuilds.org](https://slackbuilds.org).

## Install

You can compile **SlackBuilder** from the [source code](slackbuilder.lpr).

This [presentation](docs/slides.pdf) shows how to compile the program from source using [Lazarus IDE](https://www.lazarus-ide.org/).

A [64bit executable](slackbuilder) is still available ([SHA1 digest](slackbuilder.digest)).

## Usage

To update the list of available packages:

        ./slackbuilder sync

To search for a package:

        ./slackbuilder find torrent

To install a package:

        ./slackbuilder install ctorrent
